JMenu.WinListener (Java Platform SE 8 )
Keywords: javax.swing.JMenu.WinListener class
Date: 2018-03-02

javax.swing

## Class JMenu.WinListener

- java.lang.Object
- - java.awt.event.WindowAdapter
  - - javax.swing.JMenu.WinListener

- All Implemented Interfaces:
    WindowFocusListener, WindowListener, WindowStateListener, Serializable, EventListener
  Enclosing class:
    JMenu

      protected class JMenu.WinListener
      extends WindowAdapter
      implements Serializable

  A listener class that watches for a popup window closing. When the popup is closing, the listener deselects the menu.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinListener(JPopupMenu p)` Create the window listener for the specified popup.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `windowClosing(WindowEvent e)` Deselect the menu when the popup is closed from outside.

    - ### Methods inherited from class java.awt.event.WindowAdapter

      `windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WinListener

          public WinListener(JPopupMenu p)

      Create the window listener for the specified popup.
      Since:
        1.4

  - ### Method Detail

    - #### windowClosing

          public void windowClosing(WindowEvent e)

      Deselect the menu when the popup is closed from outside.
      Specified by:
        `windowClosing` in interface `WindowListener`
      Overrides:
        `windowClosing` in class `WindowAdapter`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.